package betterwithmods.common.blocks.mechanical.multiblock;

import betterwithmods.api.tile.multiblock.TileEntityProxyBlock;
import net.minecraft.block.Block;
import net.minecraft.block.material.Material;
import net.minecraft.block.state.IBlockState;
import net.minecraft.tileentity.TileEntity;
import net.minecraft.util.EnumBlockRenderType;
import net.minecraft.util.math.BlockPos;
import net.minecraft.world.World;

public class BlockDummy extends Block {
    private Material material = Material.field_151576_e;

    public BlockDummy() {
        super(Material.field_151576_e);
    }

    public void setMaterial(Material material) {
        this.material = material;
    }

    @Override
    public Material func_149688_o(IBlockState state) {
        return material;
    }

    @Override
    public void func_180663_b(World world, BlockPos pos, IBlockState state) {
        if (!world.field_72995_K && world.func_175625_s(pos) != null && world.func_175625_s(pos) instanceof TileEntityProxyBlock) {
            ((TileEntityProxyBlock) world.func_175625_s(pos)).notifyControllerOnBreak();
        }
        super.func_180663_b(world, pos, state);
    }

    @Override
    public boolean hasTileEntity(IBlockState state) {
        return true;
    }

    @Override
    public TileEntity createTileEntity(World world, IBlockState state) {
        return new TileEntityProxyBlock();
    }

    @Override
    public EnumBlockRenderType func_149645_b(IBlockState state) {
        return EnumBlockRenderType.INVISIBLE;
    }


}
